# Configuration file for the Sphinx documentation builder.
#
# This file only contains a selection of the most common options. For a full
# list see the documentation:
# http://www.sphinx-doc.org/en/master/config

# -- Path setup --------------------------------------------------------------

# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.
#
# import os
# import sys
# sys.path.insert(0, os.path.abspath('.'))


# -- Project information -----------------------------------------------------

project = 'Stackspin'
copyright = '2020, Greenhost'
author = 'Greenhost'

# The full version, including alpha/beta/rc tags
with open('../VERSION') as version_file:
    release = version_file.read()

# -- General configuration ---------------------------------------------------

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.
extensions = [
    'recommonmark',
    'sphinx.ext.autosectionlabel',
    'sphinx_design'
]

# Add any paths that contain templates here, relative to this directory.
templates_path = ['_templates']

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This pattern also affects html_static_path and html_extra_path.
exclude_patterns = ['_build', 'Thumbs.db', '.DS_Store', 'README.md']


# -- Options for HTML output -------------------------------------------------

# The theme to use for HTML and HTML Help pages.  See the documentation for
# a list of builtin themes.
#
html_theme = 'sphinx_rtd_theme'

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
html_static_path = ['_static']

# Readthedocs.io needs us to tell it what the index file is. This defaults to
# 'contents'
master_doc = 'index'

# https://www.sphinx-doc.org/en/master/usage/extensions/autosectionlabel.html
#
# Suppress autosectionlabel extension warnings about duplicate labels, i.e.
#
#   docs/usage.rst:105: WARNING: duplicate label wordpress, other instance in docs/testing.rst
#
# https://www.sphinx-doc.org/en/master/usage/configuration.html#confval-suppress_warnings
autosectionlabel_prefix_document = True
autosectionlabel_maxdepth = 5

suppress_warnings = ['autosectionlabel.*']
